MongoDb 2.6.10 does not play well with Ubuntu 15.04

Trying to launch MondoDb 2.6.10 with Ubuntu 15.04 will result in an error:

$ sudo service mongod start
Failed to start mongod.service: Unit mongod.service failed to load: No such file or directory.

That’ll teach you to use the very latest version of everything. Damn kids these days!

This seems to be because Ubuntu 15.04 has changed its default ini system from Upstart to systemd.

Down-grading to MondoDb version 2.6.3 seems to work but not recommended. It is also possible to use Upstart by installing upstart-sysv

# sudo apt-get install upstart-sysv

Reboot your server and MondoDb will launch successfully. I ended up having other issues and couldn’t figure out whether it was from this workaround of that I am just not very smart. Either way, I went back to Ubuntu 14.04 LTS. No problems at all with that version.

Sources:

This entry was posted in Dev, MEAN. Bookmark the permalink.

Leave a Reply

Your email address will not be published. Required fields are marked *